<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\CustomerPoMaster;
use App\Models\User;

class CustomerPoMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any CustomerPoMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, CustomerPoMaster $customerpomaster): bool
    {
        return $user->checkPermissionTo('view CustomerPoMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create CustomerPoMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, CustomerPoMaster $customerpomaster): bool
    {
        return $user->checkPermissionTo('update CustomerPoMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, CustomerPoMaster $customerpomaster): bool
    {
        return $user->checkPermissionTo('delete CustomerPoMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any CustomerPoMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, CustomerPoMaster $customerpomaster): bool
    {
        return $user->checkPermissionTo('restore CustomerPoMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any CustomerPoMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, CustomerPoMaster $customerpomaster): bool
    {
        return $user->checkPermissionTo('replicate CustomerPoMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder CustomerPoMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, CustomerPoMaster $customerpomaster): bool
    {
        return $user->checkPermissionTo('force-delete CustomerPoMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any CustomerPoMaster');
    }
}
